#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.3
visibility:           public
id:                   taffybar-4.0.3-3sTCCfFuhRtGiMX7SLGMnD
key:                  taffybar-4.0.3-3sTCCfFuhRtGiMX7SLGMnD
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  d4c936c57f2bcc76613c0409b00d5084
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.3-3sTCCfFuhRtGiMX7SLGMnD
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 cairo-gobject gdk_pixbuf-2.0 atk-1.0
    pango-1.0 cairo harfbuzz gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0
    /usr/include/cloudproviders /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/atk-1.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi
    /usr/include/pixman-1 /usr/include/harfbuzz /usr/include/freetype2
    /usr/include/libpng16 /usr/include/gio-unix-2.0
    /usr/include/glib-2.0 /usr/lib/glib-2.0/include
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6

depends:
    HStringTemplate-0.8.8-6y5jxDSYB6aHI5yw4hnmw2
    X11-1.10.3-8NdPo2dy5eHGXd7RnXiWFu
    aeson-2.1.2.1-FhTjbzRVW7jFzXz0ecy3pa
    ansi-terminal-1.0-FJLEfMIg8XB3hMaFI0FBBX base-4.16.4.0
    broadcast-chan-0.2.1.2-f02PvATo7NKoyx3Lp7VKE bytestring-0.11.4.0
    conduit-1.3.6.1-EcpFJSMKskF4mD6BYYs9sj containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    dbus-1.3.1-2vZU2RQfha72GS3m5hTaS8
    dbus-hslogger-0.1.0.1-GbOay4RETMX2G48jWAlwer directory-1.3.6.2
    dyre-0.9.2-5abLnFQgVLs9P4QvCpgWpr
    either-5.0.2-DxB80NnhLC5HSLeU3SdiRg
    enclosed-exceptions-1.0.3-Jvx01ErNeXdKu9ex9t3MCA filepath-1.4.2.2
    gi-cairo-connector-0.1.1-8pErRmLYh369G3A9Aj5ZBT
    gi-cairo-render-0.1.2-9D8K2zcb3kx1lMgi4sCYPv
    gi-gdk-3.0.26-LYp9En97LZ4C4Na2E4Jao1
    gi-gdkpixbuf-2.0.31-6u6uvFS1ibbCbrYn9yKnWK
    gi-gdkx11-3.0.13-90YLejoyQN9EYbNbNnqnai
    gi-glib-2.0.29-2LR7LfjuKgPGEwXURvgxEA
    gi-gtk-3.0.38-3zcRKiUSXMu5LnIPpcfB5l
    gi-gtk-hs-0.3.16-CkCeEuxqKz3EykY4ZI51X7
    gi-pango-1.0.29-9Q8XJgHWrDsKf6o74tk3ji
    gtk-sni-tray-0.1.8.1-5R2MYeyXp6S10B3bvia4KV
    gtk-strut-0.1.3.2-D7vHcJBQebHGxQMDZDmozw
    haskell-gi-base-0.26.6-2Iq9Kyqd3Sc9DWwShfcztO
    hslogger-1.3.1.1-AOdgOg5sBRh2ItTug2ZoVG
    http-client-0.7.17-88CtdiW9NBf7kBJFW0tyvT
    http-client-tls-0.3.6.3-CSbM0cd7y5G1Y19RvmaVGM
    http-conduit-2.3.9.1-EofmhrAIAQm4bpNzxUVjzU
    http-types-0.12.4-KNMqafx4Uem7JwJPLxSZSh
    multimap-1.2.1-2IAvtGljS5zEVxuDX8lIuU parsec-3.1.15.0
    process-1.6.16.0 rate-limit-1.4.3-GgKPfmYk1rq2rp9ut0wxbG
    regex-compat-0.95.2.1-FJHZPtlQfxdJ4utGNMgjH1
    safe-0.3.21-AbNyMoK0ADF8qenYHSmRn2
    scotty-0.22-3ISJlGf6S7K16kotATmZHz split-0.2.5-fPWkUXEXZHvXnPhPWCGf
    status-notifier-item-0.3.1.0-91LAX9XrijmLqMco2Bo2o4 stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    time-units-1.0.0-5ANWMnlmGbA6CL2adJPINT transformers-0.5.6.2
    tuple-0.3.0.2-DiXz3CJglBg92Q9wiUI44X unix-2.7.2.2
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    xdg-basedir-0.2.2-BAENMrhgj9o4xkjbLJyx83
    xdg-desktop-entry-0.1.1.2-9KtK46s2bmVEzzgnEmj4Mk
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf
    xml-helpers-1.0.0-KVIOBFUCXoGnjpBr1W1E3
    xmonad-0.18.0-AWn5aXyTibcBBKABe1LaLO

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

